REST API
Infra APISandbox

List Sandbox workspace files

GET/api/v1/sandboxes/{sandbox_id}/files

Authorization

BearerAuth
AuthorizationBearer <token>

Hydra JWT Bearer token

In: header

Path Parameters

sandbox_id*string

Sandbox ID

Query Parameters

path?string

Directory path; defaults to workspace root

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/sandboxes/string/files"
{  "entries": [    {      "kind": "string",      "name": "string",      "path": "string",      "size": 0    }  ],  "path": "string",  "truncated": true}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}